Get image metadata
GET
/accounts/{accountID}/images/{imageID}
curl -X GET "https://api.moov.io/accounts/{accountID}/images/{imageID}" \
-H "Authorization: Bearer {token}" \
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Images.GetMetadataAsync(
accountID: "6cf66a43-31ce-4d27-8dd4-130fa57f0a6f",
imageID: "7cec5bd3-6340-4de4-a923-bf6ec0f7e921"
);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetImageMetadataResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetImageMetadataResponse res = sdk.images().getMetadata()
.accountID("6cf66a43-31ce-4d27-8dd4-130fa57f0a6f")
.imageID("7cec5bd3-6340-4de4-a923-bf6ec0f7e921")
.call();
if (res.imageMetadata().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.images.get_metadata(account_id: '6cf66a43-31ce-4d27-8dd4-130fa57f0a6f', image_id: '7cec5bd3-6340-4de4-a923-bf6ec0f7e921')
unless res.image_metadata.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.images.getMetadata({
accountID: "6cf66a43-31ce-4d27-8dd4-130fa57f0a6f",
imageID: "7cec5bd3-6340-4de4-a923-bf6ec0f7e921",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->images->getMetadata(
accountID: '6cf66a43-31ce-4d27-8dd4-130fa57f0a6f',
imageID: '7cec5bd3-6340-4de4-a923-bf6ec0f7e921'
);
if ($response->imageMetadata !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.images.get_metadata(account_id="6cf66a43-31ce-4d27-8dd4-130fa57f0a6f", image_id="7cec5bd3-6340-4de4-a923-bf6ec0f7e921")
# Handle response
print(res)The request completed successfully.
Metadata about an uploaded image.
{
"imageID": "string",
"publicID": "string",
"altText": "string",
"link": "https://api.moov.io/images/qJRAaAwwF5hmfeAFdHjIb",
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"disabledOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
imageID
string
required
Response
createdOn
string<date-time>
required
imageID
string
required
Unique identifier for a image resource.
link
string<uri>
required
A public URL to access the image. An optional
size={width}x{height}
query parameter can be provided to resize the image.
publicID
string
required
The ID used to get an image with the public endpoint.
A unique identifier for an image, used in public image links.
updatedOn
string<date-time>
required
altText
string
<=125 characters
Alternative text for the image.
disabledOn
string<date-time>